Bug 456984 - Dragging apps from search results view to Task Manager does not work
Summary: Dragging apps from search results view to Task Manager does not work
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Application Launcher (Kickoff) (show other bugs)
Version: 5.25.3
Platform: Other Linux
: NOR minor
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-21 14:39 UTC by MrNekit
Modified: 2022-07-26 15:18 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.4


Attachments
Demonstration (2.40 MB, video/x-matroska)
2022-07-21 14:39 UTC, MrNekit
Details
demonstration mp4 (1.46 MB, video/mp4)
2022-07-21 14:44 UTC, MrNekit
Details

Note You need to log in before you can comment on or make changes to this bug.
Description MrNekit 2022-07-21 14:39:24 UTC
Created attachment 150792 [details]
Demonstration

SUMMARY:
Unable to add shortcut to widget panel from search mode


STEPS TO REPRODUCE
Check video please. 
I can add a dock shortcut from favorites, but I can't add icons to dock from kickoff search mode.

In another menu widget situation is the same.
Comment 1 MrNekit 2022-07-21 14:44:06 UTC
Created attachment 150794 [details]
demonstration mp4

It opens in browser
Comment 2 Nate Graham 2022-07-21 15:48:54 UTC
Can confirm. I can drag apps to an empty area of my Task Manager to pin them when I'm dragging from the Favorites view or one of the Applications pages, but not from the search results view.
Comment 3 Bug Janitor Service 2022-07-21 21:22:12 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1940
Comment 4 Nicolas Fella 2022-07-26 11:07:24 UTC
Git commit 518426c4a049c185957a3b9daaa0f9545a0b4169 by Nicolas Fella.
Committed on 26/07/2022 at 10:40.
Pushed by nicolasfella into branch 'Plasma/5.25'.

[kicker/kickoff] Fix urls for search results

Having the right url is needed for drag and drop to work

For the recentdocuments runner  we can just take the result

For the services runner the result is of the form "applications:org.kde.foo.desktop", so extract the service name from that

M  +9    -5    applets/kicker/plugin/runnermatchesmodel.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/518426c4a049c185957a3b9daaa0f9545a0b4169